<< gph | gph | gph_eval >>

CCA (Computational Convex Analysis) >> gph > gph_add

# gph_add

Graph-matrix calculus (GPH), Addition of two functions

### Calling Sequence

    gph3 = gph_add(gph1, gph2)

### Parameters

gph1

  matrix. A function in GPH matrix form.

gph2

  matrix. A function in GPH matrix form.

gph3

  matrix. The GPH function that is the sum of gph1 and gph2.

### Description

Computes the sum of two functions given in GPH matrix form. The domain of the resulting function is the intersection of the domains of the two input functions.

### Examples

    gph1 = [-2,-1,1,2; -2,0,0,2; 1,0,0,1];
    gph2 = [0,0,2,2; 0,1,1,2; %inf,0,2,%inf];
    gph3 = gph_add(gph1, gph2),
    scf(); gph_plot(gph1, gph2);
    scf(); gph_plot(gph3);

### See Also

- gph_function

### Authors

`Bryan Gardiner`, University of British Columbia, BC, Canada

<< gph | gph | gph_eval >>